b3382ad53e15304a4a8954e08ab6750f0c296155
max
  Tue Jan 12 16:02:07 2016 -0800
adding innodb support again, refs #16616

diff --git src/browserbox/root/updateBrowser.sh src/browserbox/root/updateBrowser.sh
index 2e89800..ad8c1cc 100755
--- src/browserbox/root/updateBrowser.sh
+++ src/browserbox/root/updateBrowser.sh
@@ -146,37 +146,39 @@
     chmod a+x /root/updateBrowser.sh
     /root/updateBrowser.sh $1 notSelf
     exit 0
 fi
 
 rm -f /root/gbibSkipNextUpdate
 
 # check if any hgMirror jobs are running right now
 # check if the group id file exists and also if any processes exist with this group id
 # note that the .pid actually contains a group id, not a process id
 if [ -f /tmp/lastJob.pid ] && [ "$(ps x -o pgid | grep $(cat /tmp/lastJob.pid) | wc -l)" != "0" ] ; then
     echo a hgMirror job is running right now, not updating
     exit 4
 fi
 	
+# not done, as old customTrash tables will be in innoDb format
+# and can't be read if we deactivate it now
 # deactivate inno-db support in mysql. Saves 400-500MB of RAM.
-if ! grep skip-innodb /etc/mysql/my.cnf > /dev/null 2> /dev/null ; then
-    echo - Switching off inno-db in /etc/mysql/my.cnf
-    sed -i '/^.mysqld.$/a skip-innodb' /etc/mysql/my.cnf
-    sed -i '/^.mysqld.$/a default-storage-engine=myisam' /etc/mysql/my.cnf
-    service mysql restart
-fi
+#if ! grep skip-innodb /etc/mysql/my.cnf > /dev/null 2> /dev/null ; then
+    #echo - Switching off inno-db in /etc/mysql/my.cnf
+    #sed -i '/^.mysqld.$/a skip-innodb' /etc/mysql/my.cnf
+    #sed -i '/^.mysqld.$/a default-storage-engine=myisam' /etc/mysql/my.cnf
+    #service mysql restart
+#fi
    
 # activate the apt repo 'main' and 'universe' so we can install external software
 if ! apt-cache policy r-base | grep "Unable to locate" > /dev/null; then
    if ! grep '^deb http://us.archive.ubuntu.com/ubuntu trusty main universe multiverse$' /etc/apt/sources.list > /dev/null; then
        echo - Activating the main Ubuntu package repository
        echo 'deb http://us.archive.ubuntu.com/ubuntu trusty main universe multiverse' >> /etc/apt/sources.list
    fi
 fi
 
 # activate daily automated security updates with automated reboots
 # automated reboots are strange but probably better than to risk exploits
 # see https://help.ubuntu.com/community/AutomaticSecurityUpdates
 if apt-cache policy unattended-upgrades | grep "Installed: .none." > /dev/null; then
    echo - Activating automated daily Ubuntu security updates
    # from http://askubuntu.com/questions/203337/enabling-unattended-upgrades-from-a-shell-script